Bug 107371 - crucible.func.ssbo.interleve passes when it should fail
Summary: crucible.func.ssbo.interleve passes when it should fail
Status: RESOLVED FIXED
Alias: None
Product: piglit
Classification: Unclassified
Component: Crucible (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Piglit Mailing List
QA Contact: Piglit Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-25 09:46 UTC by Danylo
Modified: 2019-02-18 09:31 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Danylo 2018-07-25 09:46:31 UTC
The test is expected to fail due to unresolved bug in glslang: https://github.com/KhronosGroup/glslang/issues/94

Test passes at this moment due to incorrect assert condition.
Comment 1 Mark Janes 2019-02-15 23:52:15 UTC
I re-enabled this test in Mesa CI.  I found that it has an intermittent result, which makes it untestable in CI.

Danylo: why is this bug marked fixed?  Should it be NOTOURBUG ?
Comment 2 Danylo 2019-02-18 09:27:17 UTC
I filed the bug that test passes while it should fail and I fixed the issue which caused test pass. 

Yes, now it has some chance to pass but not due to error in test itself so I consider the bug I filed fixed (which was about error in test).
Comment 3 Danylo 2019-02-18 09:31:02 UTC
And yes, I should have mentioned this.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.